Bug 852881 - ClassCastException in RuleTerminalNode.retractLeftTuple()
ClassCastException in RuleTerminalNode.retractLeftTuple()
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRE (Expert, Fusion) (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
urgent Severity high
: ---
: ---
Assigned To: Tihomir Surdilovic
Martin Vecera
Depends On: 845000
  Show dependency treegraph
Reported: 2012-08-29 16:21 EDT by Alessandro Lazarotti
Modified: 2013-10-10 20:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When using ruleflow group and lock-on-activate, a class exception could occur. This issue has been resolved by adding a line of code that checks if the left tuple contains a Boolean due to lock-on-activate blocking activation creation.
Story Points: ---
Clone Of: 845000
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBRULES-3590 Major Resolved ClassCastException in RuleTerminalNode.retractLeftTuple() 2013-10-08 07:10:05 EDT

  None (edit)
Comment 1 Alessandro Lazarotti 2012-08-29 16:22:52 EDT
This is a clone of Bug #845000 delivered on Roll up release, to verify the fix also in the new product version.
Comment 2 Iva Zakova 2012-09-17 06:18:45 EDT
Verified in 5.3.1.ER1.

Note You need to log in before you can comment on or make changes to this bug.